Boost.Python 1.71.0-gompi-2019b

Unsupported: Use of this version of Boost.Python is not supported. More information on our Applications Support and Retention Policy.

There is a newer version of Boost.Python

Boost.Python is a C++ library which enables seamless interoperability between C++ and the Python programming language.

Accessing Boost.Python 1.71.0-gompi-2019b

To load the module for Boost.Python 1.71.0-gompi-2019b please use this command on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs):

module load bear-apps-unsupported/handbuilt/2019
module load Boost.Python/1.71.0-gompi-2019b

BEAR Apps Version

2019h

More Information

For more information visit the Boost.Python website.

Dependencies

This version of Boost.Python has a direct dependency on: Boost/1.71.0-gompi-2019b gompi/2019b Python/2.7.16-GCCcore-8.3.0 Python/3.7.4-GCCcore-8.3.0

This version of Boost.Python is compatible with multiple vesions of Python. At any time, only one of the versions of Python can be active and the desired version of Python should be loaded before loading this version of Boost.Python.

Required By

This version of Boost.Python is a direct dependent of: Trilinos/12.12.1-foss-2019b-Python-3.7.4

Other Versions

These versions of Boost.Python are available on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 16th February 2021